summaryrefslogtreecommitdiffstats
path: root/bin/lolcat
diff options
context:
space:
mode:
authorTor Lillqvist <tml@collabora.com>2014-10-15 12:36:04 +0300
committerTor Lillqvist <tml@collabora.com>2014-10-15 12:41:12 +0300
commit481d25c71a58893af75c5a9ccea0190566b6ef64 (patch)
tree93f3c532cbaf7e0e8206631360fc45bb6eaef644 /bin/lolcat
parentremove unused DECL_OBJHINT and IMPL_OBJHINT macros (diff)
downloadcore-481d25c71a58893af75c5a9ccea0190566b6ef64.tar.gz
core-481d25c71a58893af75c5a9ccea0190566b6ef64.zip
Add a small script to run adb logcat with filtering
We use arbitrary tags when logging stuff in our code so we can't use the built-in filtering of adb logcat. Change-Id: I2d607b86bde975c5cbdd17adc22d0fc15076be51
Diffstat (limited to 'bin/lolcat')
-rwxr-xr-xbin/lolcat19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/lolcat b/bin/lolcat
new file mode 100755
index 000000000000..a97137b72493
--- /dev/null
+++ b/bin/lolcat
@@ -0,0 +1,19 @@
+#!/usr/bin/perl -w
+
+use strict;
+
+die "Usage: $0 identifier\n" .
+ "(identifier is for example org.libreoffice)" unless $#ARGV == 0;
+
+my $id = $ARGV[0];
+
+open (LOGCAT, "adb logcat |") || die "Could not open pipe from adb logcat";
+my $pid = '';
+
+while (<LOGCAT>) {
+ if (m!^I/ActivityManager\( *\d+\): Start proc $id for activity .*: pid=(\d+)!) {
+ $pid = $1;
+ } elsif (m!^[EIW]/[^(]+\( *$pid\)!) {
+ print $_;
+ }
+}